# Record Class ARI1ParameterDescriptionSampleMap

java.lang.Object
java.lang.Record
com.io7m.aradine.instrument.spi1.ARI1ParameterDescriptionSampleMap

Record Components:
  `id` - The parameter ID
  `label` - The parameter label
  `documentation` - The parameter documentation

All Implemented Interfaces:
  `ARI1DocumentedType, ARI1ParameterDescriptionType`

public record ARI1ParameterDescriptionSampleMap(ARI1ParameterNumber id, String label, Optional<ARI1Documentation> documentation) extends Record implements ARI1ParameterDescriptionType

The type of sample map parameters.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ARI1ParameterDescriptionSampleMap(ARI1ParameterNumber id, String label, Optional<ARI1Documentation> documentation)`
  The type of sample map parameters.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Optional<ARI1Documentation>`
  `documentation()`
  Returns the value of the `documentation` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `ARI1ParameterNumber`
  `id()`
  Returns the value of the `id` record component.
  `String`
  `label()`
  Returns the value of the `label` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ARI1ParameterDescriptionSampleMap

    public ARI1ParameterDescriptionSampleMap(ARI1ParameterNumber id, String label, Optional<ARI1Documentation> documentation)

    The type of sample map parameters.

    Parameters:
      `id` - The parameter ID
      `label` - The parameter label
      `documentation` - The parameter documentation

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### id

    public ARI1ParameterNumber id()
    Returns the value of the `id` record component.
    Specified by:
      `id` in interface `ARI1ParameterDescriptionType`
    Returns:
      the value of the `id` record component

  - ### label

    public String label()
    Returns the value of the `label` record component.
    Specified by:
      `label` in interface `ARI1ParameterDescriptionType`
    Returns:
      the value of the `label` record component

  - ### documentation

    public Optional<ARI1Documentation> documentation()
    Returns the value of the `documentation` record component.
    Specified by:
      `documentation` in interface `ARI1DocumentedType`
    Returns:
      the value of the `documentation` record component